# syntax=docker/dockerfile:1
FROM python:3.12.8-alpine

WORKDIR /app

COPY ./src/api/ ./api
COPY ./src/core/ ./core
COPY ./src/data/ ./data
COPY ./src/service/ ./service

COPY ./src/static/ ./static
COPY ./src/templates/ ./templates

COPY ./src/redirector.py .
COPY ./src/redirector .

COPY ./requirements.txt .

RUN python -m pip install --upgrade pip
RUN python -m pip install -r requirements.txt

RUN apk update
RUN apk add bash
RUN apk add nano

CMD [ "bash", "/app/redirector"]
